TEMPLATE = app
QT = gui core
CONFIG += qt \
 release \
 warn_on \
 DESTDIR =  bin
 OBJECTS_DIR =  build
 MOC_DIR =  build
 UI_DIR =  build
 FORMS =  ui/mainwindow.ui \
  ui/dialogconversionstatus.ui \
  ui/dialogquality.ui \
  ui/dialogoptions.ui \
  ui/dialoginfo.ui
 HEADERS =  src/mainwindowimpl.h \
  src/converter.h \
  src/dialogconversionstatus.h \
  src/dialogquality.h \
  src/translator.h \
  src/dialogoptions.h \
  src/whereiam.h \
  src/dialoginfo.h \
  src/pixtreewidget.h \
    src/formats.h \
    src/inisettings.h \
    src/sizeutil.h \
    src/mylabelpreviewer.h \
    src/imageinformations.h \
    src/thumbnailgeneratorthread.h \
    src/pushcolorchooser.h
 SOURCES =  src/mainwindowimpl.cpp \
  src/main.cpp \
  src/converter.cpp \
  src/dialogconversionstatus.cpp \
  src/dialogquality.cpp \
  src/translator.cpp \
  src/dialogoptions.cpp \
  src/whereiam.cpp \
  src/dialoginfo.cpp \
  src/pixtreewidget.cpp \
    src/formats.cpp \
    src/inisettings.cpp \
    src/sizeutil.cpp \
    src/mylabelpreviewer.cpp \
    src/imageinformations.cpp \
    src/thumbnailgeneratorthread.cpp \
    src/pushcolorchooser.cpp

 QMAKE_CXXFLAGS += -O2 \
  -Wall \
  -W \
  -pthread
 INCLUDEPATH +=  /usr/include/ImageMagick

 if (exists(/usr/lib64)) {
  LIBS +=  -L/usr/lib64  -lMagick++  -lMagickWand  -lMagickCore
 }
 else {
  LIBS +=  -L/usr/lib  -lMagick++  -lMagickWand  -lMagickCore
 }

 TRANSLATIONS +=  loc/converseen_it_IT.ts \
 loc/converseen_pl_PL.ts \
 loc/converseen_hu_HU.ts \
 loc/converseen_cs_CZ.ts \
 loc/converseen_fr_FR.ts \
 loc/converseen_pt_BR.ts \
 loc/converseen_de_DE.ts \
 loc/converseen_es_CL.ts \
 loc/converseen_tr_TR.ts
 RESOURCES +=  resources.qrc
 INSTALL_PREFIX =  /usr
 target.path =  $${INSTALL_PREFIX}/bin
 SHARE_DIR =  $${INSTALL_PREFIX}/share
 translations.path = $${SHARE_DIR}/converseen
 translations.files = loc/converseen_it_IT.qm \
 loc/converseen_pl_PL.qm \
 loc/converseen_hu_HU.qm \
 loc/converseen_cs_CZ.qm \
 loc/converseen_fr_FR.qm \
 loc/converseen_pt_BR.qm \
 loc/converseen_de_DE.qm \
 loc/converseen_es_CL.qm \
 loc/converseen_tr_TR.qm
 icon.path = $${SHARE_DIR}/pixmaps
 icon.files = res/converseen.png
 desktopFile.path = $${SHARE_DIR}/applications
 desktopFile.files = res/converseen.desktop
 kdeservicemenu.path = $${SHARE_DIR}/kde4/services/ServiceMenus/
 kdeservicemenu.files = res/converseen_import.desktop

 isEmpty(QMAKE_LRELEASE) {
  QMAKE_LRELEASE = $$[QT_INSTALL_BINS]/lrelease
 }

 updateqm.input = TRANSLATIONS
 updateqm.output = ${QMAKE_FILE_PATH}/${QMAKE_FILE_BASE}.qm
 updateqm.commands = $$QMAKE_LRELEASE ${QMAKE_FILE_IN} -qm ${QMAKE_FILE_PATH}/${QMAKE_FILE_BASE}.qm
 updateqm.CONFIG += no_link

 QMAKE_EXTRA_COMPILERS += updateqm
 PRE_TARGETDEPS += compiler_updateqm_make_all

 INSTALLS += target \
             translations \
	     icon \
	     desktopFile \
	     kdeservicemenu
















